## org.apache.batik.dom.svg
Class SVGOMRect

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMRect

All Implemented Interfaces:
  org.w3c.dom.svg.SVGRect

Direct Known Subclasses:
  SVGOMAnimatedRect.AnimSVGRect, SVGOMAnimatedRect.BaseSVGRect

    public class SVGOMRect

extends java.lang.Object
implements org.w3c.dom.svg.SVGRect

An implementation of `SVGRect` that is not associated with an attribute.

Field Summary
`protected float` `h` The rect's height.
`protected float` `w` The rect's width.
`protected float` `x` The rect's x coordinate.
`protected float` `y` The rect's y coordinate.

Constructor Summary
`SVGOMRect()` Creates a new SVGOMRect with all values set to zero.
`SVGOMRect(float x, float y, float w, float h)` Creates a new SVGOMRect with the specified position and dimensions.

Method Summary
`float` `getHeight()` DOM: Implements `SVGRect.getHeight()`.
`float` `getWidth()` DOM: Implements `SVGRect.getWidth()`.
`float` `getX()` DOM: Implements `SVGRect.getX()`.
`float` `getY()` DOM: Implements `SVGRect.getY()`.
`void` `setHeight(float height)` DOM: Implements `SVGRect.setHeight(float)`.
`void` `setWidth(float width)` DOM: Implements `SVGRect.setWidth(float)`.
`void` `setX(float x)` DOM: Implements `SVGRect.setX(float)`.
`void` `setY(float y)` DOM: Implements `SVGRect.setY(float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    protected float x

  The rect's x coordinate.

### y

    protected float y

  The rect's y coordinate.

### w

    protected float w

  The rect's width.

### h

    protected float h

  The rect's height.

Constructor Detail

### SVGOMRect

    public SVGOMRect()

  Creates a new SVGOMRect with all values set to zero.

### SVGOMRect

    public SVGOMRect(float x,
                     float y,
                     float w,
                     float h)

  Creates a new SVGOMRect with the specified position and dimensions.

Method Detail

### getX

    public float getX()

  DOM: Implements `SVGRect.getX()`.

  Specified by:
    `getX` in interface `org.w3c.dom.svg.SVGRect`

### setX

    public void setX(float x)
              throws org.w3c.dom.DOMException

  DOM: Implements `SVGRect.setX(float)`.

  Specified by:
    `setX` in interface `org.w3c.dom.svg.SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

### getY

    public float getY()

  DOM: Implements `SVGRect.getY()`.

  Specified by:
    `getY` in interface `org.w3c.dom.svg.SVGRect`

### setY

    public void setY(float y)
              throws org.w3c.dom.DOMException

  DOM: Implements `SVGRect.setY(float)`.

  Specified by:
    `setY` in interface `org.w3c.dom.svg.SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

### getWidth

    public float getWidth()

  DOM: Implements `SVGRect.getWidth()`.

  Specified by:
    `getWidth` in interface `org.w3c.dom.svg.SVGRect`

### setWidth

    public void setWidth(float width)
                  throws org.w3c.dom.DOMException

  DOM: Implements `SVGRect.setWidth(float)`.

  Specified by:
    `setWidth` in interface `org.w3c.dom.svg.SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

### getHeight

    public float getHeight()

  DOM: Implements `SVGRect.getHeight()`.

  Specified by:
    `getHeight` in interface `org.w3c.dom.svg.SVGRect`

### setHeight

    public void setHeight(float height)
                   throws org.w3c.dom.DOMException

  DOM: Implements `SVGRect.setHeight(float)`.

  Specified by:
    `setHeight` in interface `org.w3c.dom.svg.SVGRect`
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.